using System;

public class HelloWorld
{
    public static void Main(string[] args)
    {
        int t = int.Parse(Console.ReadLine());

        for(int j = 0; j < t; j++) { 

        int n = int.Parse(Console.ReadLine());
        int[] a = new int[n];
        int[] b = new int[n];
        int[] c = new int[n]; //pomocni niz, prvo menjamo redosled clanova niza a
        string[] s1 = Console.ReadLine().Split(' ');
        string[] s2 = Console.ReadLine().Split(' ');
        bool da = true;

        int pom = 0;
        for (int i = 0; i < n; i++)
        {
            a[i] = int.Parse(s1[i]);
            b[i] = int.Parse(s2[i]);
        }

        for(int i = 0; i < n / 2; i++)
        {
            pom = a[i];
            a[i] = a[n - i - 1];
            a[n - i - 1] = pom;
        }
        for (int i = 0; i < n; i++)
        {
            a[i] = -a[i];
        }
        for (int i = 0; i < n; i++)
        {
            if (a[i] != b[i])
            {
                da = false;
            }
        }
        if (da)
            Console.WriteLine("DA");
        else
            Console.WriteLine("NE");
        }
    }
}